Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.units
Class UnitCategoriesImpl

    java.lang.Object
      |
      +--theory.smart.foundation.BelongingImpl
            |
            +--theory.smart.axiom.units.UnitCategoriesImpl

public class UnitCategoriesImpl
extends BelongingImpl
implements UnitCategories

Provides a mapping from a Unit to its Category. It is part of an overall strategy for describing units and their relationships. It is related to the `Unit` , `UnitCategories`, `UnitConversion`, and `UnitConverter`

See Also:
  `UnitCategories`, `UnitCategoriesHome`, Serialized Form

Field Summary
`java.lang.String` | `category` category [UnitCategories] <*>------> [`String`]

Fields inherited from class theory.smart.foundation.BelongingImpl
`isDirty`

Constructor Summary
`UnitCategoriesImpl()`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`java.lang.String` | `getCategory()` Get the value of category
`void` | `setCategory(java.lang.String category)` Set the value of category
`Belonging` | `value()`

Methods inherited from class theory.smart.foundation.BelongingImpl
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### category

    public java.lang.String category

                        category
       [UnitCategories] <*>------> [String]

Constructor Detail

### UnitCategoriesImpl

    public UnitCategoriesImpl()

Method Detail

### getCategory

    public java.lang.String getCategory()

  Get the value of category
  Specified by:
    getCategory in interface UnitCategories
  Returns:
    category.

### setCategory

    public void setCategory(java.lang.String category)

  Set the value of category
  Specified by:
    setCategory in interface UnitCategories
  Parameters:
    `category` - category to be added

### value

    public Belonging value()

### compareTo

    public int compareTo(java.lang.Object o)

  Overrides:
    compareTo in class BelongingImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.